List automation deliveries
curl --request GET \
--url https://melso.ai/api/automations/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://melso.ai/api/automations/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://melso.ai/api/automations/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/automations/{id}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/automations/{id}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://melso.ai/api/automations/{id}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/automations/{id}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deliveries": [
{
"id": "<string>",
"workspace_id": "<string>",
"automation_id": "<string>",
"trigger_id": "<string>",
"provider": "<string>",
"event": "<string>",
"dedupe_key": "<string>",
"dedupe_source": "<string>",
"signature_status": "<string>",
"status": "<string>",
"attempt_count": 123,
"dispatch_attempts": 123,
"available_at": "<string>",
"content_type": "<string>",
"response_status": 123,
"automation_invocation_id": "<string>",
"replayed_from_delivery_id": "<string>",
"error": "<string>",
"received_at": "<string>",
"last_attempt_at": "<string>",
"created_at": "<string>",
"selected_headers": "<unknown>",
"raw_body": "<string>",
"response_body": "<string>"
}
],
"total": 123
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Automations
List automation deliveries
Workspace member with access to this resource.
Request: Query limit?:integer, offset?:integer. These are inbound webhook receipts.
Response: {deliveries:WebhookDeliveryResponse[],total:integer} (returned count).
Status: 200. Authentication and resource-access errors follow Overview.
GET
/
api
/
automations
/
{id}
/
deliveries
List automation deliveries
curl --request GET \
--url https://melso.ai/api/automations/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://melso.ai/api/automations/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://melso.ai/api/automations/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/automations/{id}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/automations/{id}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://melso.ai/api/automations/{id}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/automations/{id}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deliveries": [
{
"id": "<string>",
"workspace_id": "<string>",
"automation_id": "<string>",
"trigger_id": "<string>",
"provider": "<string>",
"event": "<string>",
"dedupe_key": "<string>",
"dedupe_source": "<string>",
"signature_status": "<string>",
"status": "<string>",
"attempt_count": 123,
"dispatch_attempts": 123,
"available_at": "<string>",
"content_type": "<string>",
"response_status": 123,
"automation_invocation_id": "<string>",
"replayed_from_delivery_id": "<string>",
"error": "<string>",
"received_at": "<string>",
"last_attempt_at": "<string>",
"created_at": "<string>",
"selected_headers": "<unknown>",
"raw_body": "<string>",
"response_body": "<string>"
}
],
"total": 123
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Path Parameters
id from the corresponding authorized response.